Bug 9045 - idmap_ldb:use rfc2307 = yes
idmap_ldb:use rfc2307 = yes
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: File services
4.0 beta3
All All
: P5 normal
: ---
Assigned To: Andrew Tridgell
samba4-qa@samba.org
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-15 06:50 UTC by steve (retry timeout exceeded; no DNS MX or A record)
Modified: 2012-12-31 08:21 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description steve (retry timeout exceeded; no DNS MX or A record) 2012-07-15 06:50:49 UTC
idmap_ldb:use rfc2307 = yes Only works for users, not groups.

In smb.conf, if
idmap_ldb:use rfc2307 = yes
then only uidNumber is returned from the directory.

If the object is a group, an entry is added to idmap.ldb and the directory is not consulted.

To reproduce:
1. set idmap_ldb:use rfc2307 = yes in smb.conf
2. Create a user with:
objectClass: posixGroup
gidNumber: x
3. run wbinfo --group-info=<group>

Actual results:
An entry for <group> is added to idmap.ldb and that value is used rather than the gidNumber attribute in the directory.

(This works fine for posixAccount and uidNumber)

Expected results:
Deleting the entry for <group> in idmap.ldb still returns the gidNumber from wbinfo. (In fact deleting it creates another entry with an incremented xidNumber).
Comment 1 steve (retry timeout exceeded; no DNS MX or A record) 2012-07-19 14:35:12 UTC
Marked as [SOLVED] at:
https://lists.samba.org/archive/samba-technical/2012-July/085412.html

Andrew mentioned some other stuff there. Leave this open for a bit longer?
Thanks,
Steve
Comment 2 Andrew Bartlett 2012-12-31 08:21:32 UTC
I'm happy that the rfc2307 stuff works, so I'm marking this as fixed.

Some improvements will hit master soon, but the use case described in this bug is fixed.